/*
 * Copyright (C) 2017 Igalia S.L.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#if !defined(__WEBKIT_H_INSIDE__) && !defined(BUILDING_WEBKIT)
#error "Only <wpe/webkit.h> can be included directly."
#endif

#ifndef WebKitFavicon_h
#define WebKitFavicon_h

#include <gio/gio.h>
#include <glib-object.h>
#include <wpe/WebKitDefines.h>

G_BEGIN_DECLS

#define WEBKIT_TYPE_FAVICON (webkit_favicon_get_type())

WEBKIT_DECLARE_FINAL_TYPE (WebKitFavicon, webkit_favicon, WEBKIT, FAVICON, GObject)

WEBKIT_API int
webkit_favicon_get_width     (WebKitFavicon     *favicon);

WEBKIT_API int
webkit_favicon_get_height    (WebKitFavicon     *favicon);

WEBKIT_API GBytes *
webkit_favicon_get_bytes     (WebKitFavicon     *favicon);

G_END_DECLS

#endif /* WebKitFavicon_h */
